%define upstream_name    Regexp-Common-net-CIDR
%define upstream_version 0.03

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Provide patterns for CIDR blocks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Regexp::Common)
BuildArch: noarch

%description
Patterns for CIDR blocks. Now only next IPv4 formats are supported:

  xxx.xxx/xx
  xxx.xxx.xxx/xx
  xxx.xxx.xxx.xxx/xx

With {-keep} stores address in $1 and number of bits in $2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.30.0-10.mga10
+ Revision: 2205566
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.30.0-9.mga9
+ Revision: 1811459
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.30.0-8.mga8
+ Revision: 1523801
- Mageia 8 Mass Rebuild

* Tue Mar 12 2019 tv <tv> 0.30.0-7.mga7
+ Revision: 1374798
- fix summary

* Thu Sep 20 2018 umeabot <umeabot> 0.30.0-6.mga7
+ Revision: 1285948
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.30.0-5.mga7
+ Revision: 1166400
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 0.30.0-4.mga7
+ Revision: 1160371
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-3.mga6
+ Revision: 1032788
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.30.0-2.mga6
+ Revision: 967999
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.30.0-1.mga6
+ Revision: 851030
- update to 0.03

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 739582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 686097
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 514435
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 372288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 09 2012 buchan <buchan> 0.20.0-1.mga2
+ Revision: 194213
- imported package perl-Regexp-Common-net-CIDR


* Fri Nov 18 2011 Buchan Milne <buchan at mageia dot org> 0.20.0-1.mga
- initial mageia release, generated with cpan2dist
